Skip to main content
GET
/
v1
/
groups
List groups
curl --request GET \
  --url https://staging.api.us.aptlydone.com/settings/v1/groups \
  --header 'Authorization: Bearer <token>'
{
  "statusCode": 200,
  "timestamp": "2026-01-08T06:33:21.945Z",
  "message": "Success",
  "data": {
    "page": 1,
    "limit": 10,
    "total": 100,
    "data": [
      {
        "id": "3de3ba12-fe6e-4242-b2c2-57aa17d2b959",
        "tenantId": "9409925f-e386-428d-b82d-bc96fc7d785e",
        "groupId": "drDwrQ",
        "groupName": "Engineering Team",
        "status": "ACTIVE",
        "createdOn": "2023-01-01T12:00:00Z",
        "updatedOn": "2023-01-15T12:00:00Z",
        "isSynced": false,
        "parentGroups": [
          {
            "id": "0b683031-d306-4569-9286-67cf96c00f69",
            "groupName": "Engineering Team",
            "displayName": "Engineering Department",
            "tenantGroupTypeId": "e276936a-6310-4822-bfca-7241395d43fe"
          }
        ],
        "childGroups": [
          {
            "id": "ebb47eef-dc8d-4fe3-af2d-a1a9677d28eb",
            "groupName": "Engineering Team",
            "displayName": "Engineering Department",
            "tenantGroupTypeId": "ae0b0089-712d-4c50-906c-c6f59ed72e50"
          }
        ],
        "decisions": 0,
        "delegations": 0,
        "baseCurrency": "",
        "displayName": "Engineering Department",
        "legalName": "Engineering Department LLC",
        "externalId": "EXT-GROUP-12345",
        "instanceId": "02198055-706d-417d-9573-d376ced5c6f6",
        "address": {
          "id": "f2dfca59-4d8d-4636-a73b-41e97b3ba548",
          "groupId": "1cbaa43f-c81c-45e9-a0c4-31b632d0502b",
          "street1": "123 Main Street",
          "city": "New York",
          "state": "New York",
          "zipCode": "10001",
          "country": "United States",
          "createdOn": "2023-01-01T12:00:00Z",
          "updatedOn": "2023-01-15T12:00:00Z",
          "street2": "Suite 100",
          "stateCode": "NY",
          "countryCode": "US"
        },
        "tenantGroupTypeId": "c123da00-0182-4a43-8762-cfd950af6e45",
        "tenantGroupTypeName": "Department"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.aptlydone.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

page
number

Page number

Required range: x >= 1
Example:

1

limit
number

Number of items per page

Required range: 1 <= x <= 100
Example:

10

tenantId
string
required

Tenant ID

Example:

"51e9fc27-a398-403d-bf5a-15cd2ee975ae"

Search in group name and group ID

Example:

"Engineering"

tenantGroupTypeIds
string

Tenant Group Type IDs (comma-separated)

Example:

"07931d79-8658-4833-bca0-43dbcc79cbfb"

parentGroupId
string

Parent Group ID to filter child groups

Example:

"aa4f845a-6695-4d3d-91e0-6e2e645f76bf"

sourceFilter
string

Comma-separated list of source filters

Example:

"SCIM,MANUAL,ALL"

select
string

Comma separated specific Group fields needed in response

Example:

""

status
string

Comma-separated list of statuses to filter by

Example:

"ACTIVE,INACTIVE"

createdDateStart
string<date-time>

Creation date range - start date

createdDateEnd
string<date-time>

Creation date range - end date

updatedDateStart
string<date-time>

Last updated date range - start date

updatedDateEnd
string<date-time>

Last updated date range - end date

sortBy
enum<string>

Criteria for sorting Groups

Available options:
groupId,
groupName,
displayName,
status,
createdOn,
updatedOn,
isSynced,
tenantGroupType
Example:

"groupName"

sortOrder
enum<string>

Order for sorting Groups

Available options:
asc,
desc
Example:

"asc"

Response

200 - application/json

Groups list retrieved successfully

statusCode
number
required
Example:

200

timestamp
string
required
Example:

"2026-01-08T06:33:21.945Z"

message
string
required
Example:

"Success"

data
object